<?php
namespace Inti\Config\Service;

use ArrayAccess;
use Inti\Config\ConfigInterface;

/**
 * Manages the configuration.
 *
 * @package Inti\Config\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-config
 */
interface ConfigManagerInterface extends ArrayAccess
{
    /**
     * Returns the merged configuration.
     *
     * @return ConfigInterface
     */
    public function getConfig(): ConfigInterface;

    /**
     * Writes the configuration to storage.
     */
    public function flush(): void;
}
