<?php
namespace IntiTest\Config\Writer;

use Inti\Config\Config;
use Inti\Config\Writer\LocalFileWriter;
use PHPUnit\Framework\TestCase;

/**
 * Class LocalFileWriterTest
 *
 * @package IntiTest\Config\Writer
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-config
 */
final class LocalFileWriterTest extends TestCase
{
    const LOCAL_FILENAME = __DIR__ . '/test.local.php';

    public function testWillWriteValueToFile()
    {
        $expected = ['key' => 'value'];

        $writer = new LocalFileWriter(__DIR__);
        $writer->write('test', new Config($expected));

        $this->assertFileExists(self::LOCAL_FILENAME);
        /** @noinspection PhpIncludeInspection */
        $value = include self::LOCAL_FILENAME;

        $this->assertEquals(['test' => $expected], $value);
    }

    /**
     * @depends testWillWriteValueToFile
     */
    public function testWillDeleteFileIfValueEmpty()
    {
        $writer = new LocalFileWriter(__DIR__);
        $writer->write('test', new Config());

        $this->assertFileNotExists(self::LOCAL_FILENAME);
    }
}
